View Issue Details

IDProjectCategoryLast Update
0021290AI War 2[All Projects] SuggestionJul 9, 2019 2:00 pm
ReporterBadgerBadgerAssigned ToDominus Arbitrationis 
Severityminor 
Status assignedResolutionopen 
Product VersionBETA 0.867 Smarter AI, Better Mark Spread, Player Economic Boom 
Fixed in Version 
Summary0021290: Distribution node-style structure for exploration
DescriptionProposed: A structure that persists after command station death (like distribution nodes) and is only killable by a player. When you kill this it will explore a few planets for you, but also increase AIP by a few.

Perhaps 5 planets explored for 5 AIP or something like that. Thoughts? If people like it it should be pretty easy to implement.
TagsNo tags attached.

Relationships

related to 0021366 resolvedDominus Arbitrationis Reveal Similar Buildings Hack 
related to 0021365 resolvedDominus Arbitrationis Hack Big Weapons To Claim 

Activities

wm46

Jun 12, 2019 7:55 am

reporter   ~0051912

Maybe something a bit more complex than just "shoot this to scout 8 planets", as that sounds pretty boring.

I would think something like "destroy this to scout a currently unscouted X", where X can be something like a transport ship fleet, a golem/ark fleet, a minor faction location, the ai homeworld, etc. It would give more of a reason to use the spy nanite hack, if you reveal something enticing and want to get to it before you have scouted the path.

If the objective has already been scouted, note it in the tool tip and have it scout a random planet instead?

RocketAssistedPuffin

Jul 2, 2019 1:42 pm

developer   ~0052007

Bit late, but I'm not too sure when I would use this. The galaxy is usually scouted completely fairly quickly, and usually I have something I want to take to extend the exploration range.

Though I can see it being handy in specific map types, the ones that are mainly long single paths.

If it applied the Watched effect, then I would say it'd be much more likely for me to use it, even if it's only a couple planets.

x4000Bughunter

Jul 4, 2019 2:12 pm

administrator   ~0052033

I think that the idea is interesting, particularly if it applied the Watched effect, yeah. So something like "Box Of Scout Nanintes" or whatever that you can destroy to have it apply the watched effect to 5 random planets that you've not yet explored, also exploring them as it does so. It's hard to say if this would be worth 5 AIP, but that's some of the fun of the mechanic I guess. Maybe making it 3 AIP would make it more tempting and be kind of in the middle.

Having some random watched planets "for cheap" would be interesting in that you might see some enemy movements in advance.

Having things that you can destroy to find specific targets also does seem interesting, like WeaponMaster proposed, but the odds of you finding the nanites after you find the thing is going to be pretty high sometimes and that's annoying in and of itself. And because scouting is pretty randomized, I'm not sure that it would do much good for getting to those planets unless you were wanting to invest a lot of hacking points in spy nanites to make a path to something earlier than later. And even that... I don't know if that would be a good or bad influence on the flow of the game, honestly.

But more options are definitely good, and I'm not opposed to either or both mechanics being in there. I'd make them things in the new Destroyables section of the galaxy map settings that people can tune up or down to taste, within reason. It seems like for some people this might be a way to get more control over some of the exploration of the map, particularly if they were the WeaponMaster style and seeded close-ish to your homeworlds. So I could see that being popular.

Dominus Arbitrationis

Jul 6, 2019 2:54 am

administrator   ~0052063

I like Chris' idea for it, with a modification.

Make it a hack instead of destructible. Reasoning being that it doesn't really make sense that destroying something the AI owns magically lets you see random stuff of theirs? If someone has a good idea on why that would happen, I'd be on board with it being destructible instead.

I have code set up that will essentially do just this. It is not pushed, however. Basically, it takes a random 5 planets (That aren't already Watched in some way, but may be explored), then puts the permanently watched status on them. I can easily change it to Explore or stop it from triggering on explored planets as well.

I thought about it being capturable, but actually removing the status is more difficult, since you would want it to remove the status from the 5 that it gave it to, not 5 random watched planets. I could set it to unwatch any 5 planets that have been affected by the hack though. That is easy enough to do.

Let me know thoughts!

x4000Bughunter

Jul 8, 2019 11:16 am

administrator   ~0052085

I was thinking of it being like "letting the nanites out of the box by destroying the box," but I see your point. I like the idea of the hack you have, although having yet another thing that is significant on the galaxy map is... iffy to me. Which I know was part of the original design, but still.

What if we made it so that some sort of existing thing that is out there is hackable in this way? Whether that's the existing distribution nodes, or uncaptured GCAs, or warden bases, or I dunno.

I'm basically just concerned about the clutter on the galaxy map if these are too plentiful and a whole new unit that has no purpose except for this one hack against them. Heck, we could make this a hack against planets themselves, but something that only applies... I don't know, maybe on planets with 3+ links maybe? Something to differentiate this from the regular spy nanites, but not increase clutter to sort though if we can avoid it.

Dominus Arbitrationis

Jul 8, 2019 11:51 am

administrator   ~0052090

That idea could work. I completely glossed over that part of your suggestion on accident, whoops!

I do like the idea of having new planet based hacks. A longer duration planet hack that can only be done on an AI planet (And they fight a little bit, but not too much. Maybe like Science Extraction, where the more you do it, the less happy the AI is) that has X number of links. We could make it so it watches all neighbors, or just keep it completely random, or do something in between too in that case. AIP could vary based on how many things get hacked.

The galaxy map does feel cluttered at times to me already, so adding this to something else seems like a good solution as well.

x4000Bughunter

Jul 8, 2019 12:00 pm

administrator   ~0052093

I like the idea of this not being every planet, though. Making something that is an interesting hack based on the number(ish) of wormhole links, whether it's related to this or otherwise, might be interesting. Things that play off the topology of the map more might be cool.

Dominus Arbitrationis

Jul 8, 2019 12:22 pm

administrator   ~0052094

Spit balling here: What if we had a capturable, like a GCA, that you can toggle between functions by hacking it? So it can either Watch Random Planets, OR, it can give you extra defenses. That would allow for some interesting choices. I don't know if GCA's would be the best option for that though, but I thought it would be a neat mechanic to have. Maybe do it with distribution nodes, so you can hack them to either switch between getting science and metal, or watching some planets permanently.

x4000Bughunter

Jul 8, 2019 12:38 pm

administrator   ~0052096

That could definitely work... although we'd need to make sure that all of the options on those things are kind of equal. So watching the planets permanently would be a "give less science and cost less hacking but give me vision" thing, maybe. I still can't really see ever using that for anything but getting science, though, that's too valuable.

In many respects maybe we need a new node or something that has mid-value stuff. Or maybe we just need to make those planet-level hacks. The main problem is that these overlap so heavily with the existing spy nanites.

Maybe this, then:

-Right now we have Spy Nanites which you can hack on a planet in order to permanently watch it, plus scout it early.

-Maybe we also need to add Scout Nanites which you can hack on a planet for the same cost to just explore it right this moment, but ALSO all the adjacent planets. But none get permanently watched.

That way people have some more control over how they scout, versus another randomized thing that they have less control over.

Dominus Arbitrationis

Jul 8, 2019 12:58 pm

administrator   ~0052097

We already have Scout Nanites that explore a single planet. Do you want that to be modified to explore but not watch all adjacent planets?

x4000Bughunter

Jul 8, 2019 2:58 pm

administrator   ~0052104

Well, that was kind of my point: right now we already have the first thing (but it also watches that planet, doesn't it?), and then the second thing would be an added thing. We have Spy Nanites, I think, or maybe that's not what they are called. But we have the first thing I described, but not a second thing that watches nothing but explores the target and adjacent.

Honestly I don't think that is needed, but if anyone is feeling like they need more control of scouting that would be a way to accomplish it that is very freeform for players. I wouldn't change the existing hack at all, but adding a second hack that does more scouting but no watching would be the addition I'd make if we need to make an addition in this area.

RocketAssistedPuffin

Jul 8, 2019 3:23 pm

developer   ~0052113

It does not watch the planet. Explore and Watch are two separate Hacks. You must Explore first before using Watch.

x4000Bughunter

Jul 8, 2019 4:06 pm

administrator   ~0052122

Ah, okay. I remembered that wrong. In that case... maybe no change is even needed?

The distribution node style of "hack to see random things nearby" thing is interesting, but I don't know what we'd apply it to. Some existing units of the AI, based on Badger's original idea more or less, but leave the other stuff alone.

Maybe... special forces guard posts, troop accelerators, alarm posts, and other random stuff like that? Then those things that already show up on the map have an interesting new hack that we can do against them to kind of exploit this weapon that is after us? Heck, maybe even AI eyes and ion cannons and mass drivers. I dunno. Maybe that's too many things, but it's interesting and only in some areas then.

Maybe a subset of hacks of "general stuff we can get from a certain set of AI weapons" could include those types of units, along with some other hacks to get... whatever it is else that we think of?

Dominus Arbitrationis

Jul 9, 2019 12:17 am

administrator   ~0052124

We could make hacks that turn AI weapons into friendly ones. That would pretty much only work with weapons.

You could have it so that if you hack a special forces guard post or whatever it would show you where all the other ones are in the galaxy, or maybe just where X number of them are.

I think being forced to choose between benefits could be useful. Unfortunately, I don't know what to make players choose between. For instance, you could have Distribution nodes choose between science or hacking, or even a mild AIP reduction on destruction.

x4000Bughunter

Jul 9, 2019 10:57 am

administrator   ~0052126

I love the idea of hacking the big weapons to claim them. I think that should absolutely be a new thing. Do you feel comfortable adding that?

I also love the idea of hacking the special forces guard posts -- and astro train depots -- to reveal all the others in the galaxy of that type. There again, do you feel comfortable adding those?

In terms of choosing between benefits, we can do that by destroying the thing after one hack, which we already do with IGCs and so on, but we can get to that later and I don't think it's relevant for these two things.

Dominus Arbitrationis

Jul 9, 2019 12:31 pm

administrator   ~0052132

I should be able to add both of those. I'm going to go ahead and split these off into the Big Weapon Issue (0021365) and the Reveal Similar Buildings Issue (0021366)

x4000Bughunter

Jul 9, 2019 2:00 pm

administrator   ~0052133

Awesome, thanks! I've added cross-links between them and this.

Issue History

Date Modified Username Field Change
Jun 11, 2019 6:11 pm BadgerBadger New Issue
Jun 12, 2019 7:55 am wm46 Note Added: 0051912
Jul 2, 2019 1:42 pm RocketAssistedPuffin Note Added: 0052007
Jul 4, 2019 2:12 pm x4000Bughunter Note Added: 0052033
Jul 6, 2019 2:54 am Dominus Arbitrationis Note Added: 0052063
Jul 6, 2019 2:54 am Dominus Arbitrationis Assigned To => Dominus Arbitrationis
Jul 6, 2019 2:54 am Dominus Arbitrationis Status new => assigned
Jul 8, 2019 11:16 am x4000Bughunter Note Added: 0052085
Jul 8, 2019 11:51 am Dominus Arbitrationis Note Added: 0052090
Jul 8, 2019 12:00 pm x4000Bughunter Note Added: 0052093
Jul 8, 2019 12:22 pm Dominus Arbitrationis Note Added: 0052094
Jul 8, 2019 12:38 pm x4000Bughunter Note Added: 0052096
Jul 8, 2019 12:58 pm Dominus Arbitrationis Note Added: 0052097
Jul 8, 2019 2:58 pm x4000Bughunter Note Added: 0052104
Jul 8, 2019 3:23 pm RocketAssistedPuffin Note Added: 0052113
Jul 8, 2019 4:06 pm x4000Bughunter Note Added: 0052122
Jul 9, 2019 12:17 am Dominus Arbitrationis Note Added: 0052124
Jul 9, 2019 10:57 am x4000Bughunter Note Added: 0052126
Jul 9, 2019 12:31 pm Dominus Arbitrationis Note Added: 0052132
Jul 9, 2019 1:59 pm x4000Bughunter Relationship added related to 0021366
Jul 9, 2019 2:00 pm x4000Bughunter Relationship added related to 0021365
Jul 9, 2019 2:00 pm x4000Bughunter Note Added: 0052133